import request from '@/utils/request'

// 确认MOC完成确认清单
export function handleConfirmMoc(data) {
  return request({
    url: '/pssr/moc/confirmMoc',
    method: 'put',
    data: data
  })
}

// 驳回MOC完成确认清单
export function handleTurnDownMoc(data) {
  return request({
    url: '/pssr/moc/turnDownMoc',
    method: 'put',
    data: data
  })
}

// 查询MOC完成确认清单列表
export function listMoc(query) {
  return request({
    url: '/pssr/moc/list',
    method: 'get',
    params: query
  })
}

// 查询MOC完成确认清单详细
export function getMoc(id) {
  return request({
    url: '/pssr/moc/' + id,
    method: 'get'
  })
}

// 新增MOC完成确认清单
export function addMoc(data) {
  return request({
    url: '/pssr/moc',
    method: 'post',
    data: data
  })
}

// 同步MOC完成确认清单
export function syncMoc(data) {
  return request({
    url: '/pssr/moc/syncMoc',
    method: 'post',
    data: data
  })
}

// 修改MOC完成确认清单
export function updateMoc(data) {
  return request({
    url: '/pssr/moc',
    method: 'put',
    data: data
  })
}

//
export function updateMocBatch(data) {
  return request({
    url: '/pssr/moc/editBatch',
    method: 'put',
    data: data
  })
}


// 删除MOC完成确认清单
export function delMoc(id) {
  return request({
    url: '/pssr/moc/' + id,
    method: 'delete'
  })
}

// 导出MOC完成确认清单
export function exportMoc(query) {
  return request({
    url: '/pssr/moc/export',
    method: 'get',
    params: query
  })
}
